// -------------------------------------------------------------------------------------
//
// FishPanel.CS                                                   Ulrich Mller 16.06.05
//                                                                PCS1700   C# Final SP2
// FishPanel.Control
//
// -------------------------------------------------------------------------------------

using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace FishDevices40 {
	public class FishPanel : System.Windows.Forms.UserControl {
		private System.Windows.Forms.Panel pnlAll;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label22;
		private System.Windows.Forms.Label label33;
		private System.Windows.Forms.Label label48;
		private System.Windows.Forms.Label label49;
		private System.Windows.Forms.Label label52;
		private System.Windows.Forms.Label label53;
		private System.Windows.Forms.Panel pnlAnalog;
		private System.Windows.Forms.Label lblAnalogY;
		private System.Windows.Forms.Label lblAnalogX;
		private System.Windows.Forms.Panel pnlMot2;
		private System.Windows.Forms.Label lblMotor5;
		private System.Windows.Forms.Label lblMotor6;
		private System.Windows.Forms.Label lblMotor7;
		private System.Windows.Forms.Label lblMotor8;
		private System.Windows.Forms.Label lblDreh16;
		private System.Windows.Forms.Label lblDreh09;
		private System.Windows.Forms.Label lblDreh10;
		private System.Windows.Forms.Label lblDreh11;
		private System.Windows.Forms.Label lblDreh12;
		private System.Windows.Forms.Label lblDreh13;
		private System.Windows.Forms.Label lblDreh14;
		private System.Windows.Forms.Label lblDreh15;
		private System.Windows.Forms.Panel pnlMot1;
		private System.Windows.Forms.Label lblMotor1;
		private System.Windows.Forms.Label lblMotor2;
		private System.Windows.Forms.Label lblMotor3;
		private System.Windows.Forms.Label lblMotor4;
		private System.Windows.Forms.Label lblDreh08;
		private System.Windows.Forms.Label lblDreh01;
		private System.Windows.Forms.Label lblDreh02;
		private System.Windows.Forms.Label lblDreh03;
		private System.Windows.Forms.Label lblDreh04;
		private System.Windows.Forms.Label lblDreh05;
		private System.Windows.Forms.Label lblDreh06;
		private System.Windows.Forms.Label lblDreh07;
		private System.Windows.Forms.Panel pnlIn2;
		private System.Windows.Forms.Label lblEingabe16;
		private System.Windows.Forms.Label lblEingabe09;
		private System.Windows.Forms.Label lblEingabe10;
		private System.Windows.Forms.Label lblEingabe11;
		private System.Windows.Forms.Label lblEingabe12;
		private System.Windows.Forms.Label lblEingabe13;
		private System.Windows.Forms.Label lblEingabe14;
		private System.Windows.Forms.Label lblEingabe15;
		private System.Windows.Forms.Panel pnlIn1;
		private System.Windows.Forms.Label lblEingabe01;
		private System.Windows.Forms.Label lblEingabe02;
		private System.Windows.Forms.Label lblEingabe03;
		private System.Windows.Forms.Label lblEingabe04;
		private System.Windows.Forms.Label lblEingabe05;
		private System.Windows.Forms.Label lblEingabe06;
		private System.Windows.Forms.Label lblEingabe07;
		private System.Windows.Forms.Label lblEingabe08;
		private System.Windows.Forms.Timer tmrI;
		private System.Windows.Forms.Label lblReady;
		private System.ComponentModel.IContainer components;

		// --- private, globale Deklarationen -------------------

		private FishDevices fd;
		private bool        slave;
		private bool        analog;
		private Label[]     AusgabeLabel = new Label[17];
		private Label[]     EingabeLabel = new Label[17];
		private bool[]      MotorDauer   = new bool[9];
		private int[]       EMaske = {0, 0x1,    0x2,    0x4,    0x8,
									     0x10,   0x20,   0x40,   0x80,
									     0x100,  0x200,  0x400,  0x800,
									     0x1000, 0x2000, 0x4000, 0x8000};
		
		// --- Konstruktor ------------------------------------------------

		public FishPanel() {
			InitializeComponent();

			AusgabeLabel[1]  = lblDreh01;
			AusgabeLabel[2]  = lblDreh02;
			AusgabeLabel[3]  = lblDreh03;
			AusgabeLabel[4]  = lblDreh04;
			AusgabeLabel[5]  = lblDreh05;
			AusgabeLabel[6]  = lblDreh06;
			AusgabeLabel[7]  = lblDreh07;
			AusgabeLabel[8]  = lblDreh08;
			AusgabeLabel[9]  = lblDreh09;
			AusgabeLabel[10] = lblDreh10;
			AusgabeLabel[11] = lblDreh11;
			AusgabeLabel[12] = lblDreh12;
			AusgabeLabel[13] = lblDreh13;
			AusgabeLabel[14] = lblDreh14;
			AusgabeLabel[15] = lblDreh15;
			AusgabeLabel[16] = lblDreh16;

			EingabeLabel[1]  = lblEingabe01;
			EingabeLabel[2]  = lblEingabe02;
			EingabeLabel[3]  = lblEingabe03;
			EingabeLabel[4]  = lblEingabe04;
			EingabeLabel[5]  = lblEingabe05;
			EingabeLabel[6]  = lblEingabe06;
			EingabeLabel[7]  = lblEingabe07;
			EingabeLabel[8]  = lblEingabe08;
			EingabeLabel[9]  = lblEingabe09;
			EingabeLabel[10]  = lblEingabe10;
			EingabeLabel[11]  = lblEingabe11;
			EingabeLabel[12]  = lblEingabe12;
			EingabeLabel[13]  = lblEingabe13;
			EingabeLabel[14]  = lblEingabe14;
			EingabeLabel[15]  = lblEingabe15;
			EingabeLabel[16]  = lblEingabe16;

			slave = true;
			analog = true;
		}

		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if(components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent() {
			this.components = new System.ComponentModel.Container();
			this.pnlAll = new System.Windows.Forms.Panel();
			this.lblReady = new System.Windows.Forms.Label();
			this.label53 = new System.Windows.Forms.Label();
			this.pnlAnalog = new System.Windows.Forms.Panel();
			this.lblAnalogY = new System.Windows.Forms.Label();
			this.label52 = new System.Windows.Forms.Label();
			this.lblAnalogX = new System.Windows.Forms.Label();
			this.label49 = new System.Windows.Forms.Label();
			this.pnlMot2 = new System.Windows.Forms.Panel();
			this.lblMotor5 = new System.Windows.Forms.Label();
			this.lblMotor6 = new System.Windows.Forms.Label();
			this.lblMotor7 = new System.Windows.Forms.Label();
			this.lblMotor8 = new System.Windows.Forms.Label();
			this.lblDreh16 = new System.Windows.Forms.Label();
			this.lblDreh09 = new System.Windows.Forms.Label();
			this.lblDreh10 = new System.Windows.Forms.Label();
			this.lblDreh11 = new System.Windows.Forms.Label();
			this.lblDreh12 = new System.Windows.Forms.Label();
			this.lblDreh13 = new System.Windows.Forms.Label();
			this.lblDreh14 = new System.Windows.Forms.Label();
			this.lblDreh15 = new System.Windows.Forms.Label();
			this.label48 = new System.Windows.Forms.Label();
			this.pnlMot1 = new System.Windows.Forms.Panel();
			this.lblMotor1 = new System.Windows.Forms.Label();
			this.lblMotor2 = new System.Windows.Forms.Label();
			this.lblMotor3 = new System.Windows.Forms.Label();
			this.lblMotor4 = new System.Windows.Forms.Label();
			this.lblDreh08 = new System.Windows.Forms.Label();
			this.lblDreh01 = new System.Windows.Forms.Label();
			this.lblDreh02 = new System.Windows.Forms.Label();
			this.lblDreh03 = new System.Windows.Forms.Label();
			this.lblDreh04 = new System.Windows.Forms.Label();
			this.lblDreh05 = new System.Windows.Forms.Label();
			this.lblDreh06 = new System.Windows.Forms.Label();
			this.lblDreh07 = new System.Windows.Forms.Label();
			this.label33 = new System.Windows.Forms.Label();
			this.pnlIn2 = new System.Windows.Forms.Panel();
			this.lblEingabe16 = new System.Windows.Forms.Label();
			this.label12 = new System.Windows.Forms.Label();
			this.label13 = new System.Windows.Forms.Label();
			this.lblEingabe09 = new System.Windows.Forms.Label();
			this.lblEingabe10 = new System.Windows.Forms.Label();
			this.lblEingabe11 = new System.Windows.Forms.Label();
			this.lblEingabe12 = new System.Windows.Forms.Label();
			this.lblEingabe13 = new System.Windows.Forms.Label();
			this.lblEingabe14 = new System.Windows.Forms.Label();
			this.lblEingabe15 = new System.Windows.Forms.Label();
			this.label22 = new System.Windows.Forms.Label();
			this.pnlIn1 = new System.Windows.Forms.Panel();
			this.label11 = new System.Windows.Forms.Label();
			this.label10 = new System.Windows.Forms.Label();
			this.lblEingabe01 = new System.Windows.Forms.Label();
			this.lblEingabe02 = new System.Windows.Forms.Label();
			this.lblEingabe03 = new System.Windows.Forms.Label();
			this.lblEingabe04 = new System.Windows.Forms.Label();
			this.lblEingabe05 = new System.Windows.Forms.Label();
			this.lblEingabe06 = new System.Windows.Forms.Label();
			this.lblEingabe07 = new System.Windows.Forms.Label();
			this.lblEingabe08 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.tmrI = new System.Windows.Forms.Timer(this.components);
			this.pnlAll.SuspendLayout();
			this.pnlAnalog.SuspendLayout();
			this.pnlMot2.SuspendLayout();
			this.pnlMot1.SuspendLayout();
			this.pnlIn2.SuspendLayout();
			this.pnlIn1.SuspendLayout();
			this.SuspendLayout();
			// 
			// pnlAll
			// 
			this.pnlAll.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pnlAll.Controls.AddRange(new System.Windows.Forms.Control[] {
																				 this.lblReady,
																				 this.label53,
																				 this.pnlAnalog,
																				 this.pnlMot2,
																				 this.pnlMot1,
																				 this.pnlIn2,
																				 this.pnlIn1});
			this.pnlAll.Dock = System.Windows.Forms.DockStyle.Fill;
			this.pnlAll.Name = "pnlAll";
			this.pnlAll.Size = new System.Drawing.Size(264, 424);
			this.pnlAll.TabIndex = 0;
			// 
			// lblReady
			// 
			this.lblReady.BackColor = System.Drawing.SystemColors.ControlDark;
			this.lblReady.Location = new System.Drawing.Point(208, 16);
			this.lblReady.Name = "lblReady";
			this.lblReady.Size = new System.Drawing.Size(24, 24);
			this.lblReady.TabIndex = 6;
			// 
			// label53
			// 
			this.label53.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label53.Location = new System.Drawing.Point(24, 16);
			this.label53.Name = "label53";
			this.label53.Size = new System.Drawing.Size(80, 16);
			this.label53.TabIndex = 5;
			this.label53.Text = "FishPanel40";
			// 
			// pnlAnalog
			// 
			this.pnlAnalog.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.lblAnalogY,
																					this.label52,
																					this.lblAnalogX,
																					this.label49});
			this.pnlAnalog.Location = new System.Drawing.Point(16, 368);
			this.pnlAnalog.Name = "pnlAnalog";
			this.pnlAnalog.Size = new System.Drawing.Size(224, 32);
			this.pnlAnalog.TabIndex = 4;
			// 
			// lblAnalogY
			// 
			this.lblAnalogY.BackColor = System.Drawing.Color.LightGray;
			this.lblAnalogY.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblAnalogY.Location = new System.Drawing.Point(168, 8);
			this.lblAnalogY.Name = "lblAnalogY";
			this.lblAnalogY.Size = new System.Drawing.Size(48, 16);
			this.lblAnalogY.TabIndex = 3;
			this.lblAnalogY.Text = "0000";
			this.lblAnalogY.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label52
			// 
			this.label52.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label52.Location = new System.Drawing.Point(128, 8);
			this.label52.Name = "label52";
			this.label52.Size = new System.Drawing.Size(32, 16);
			this.label52.TabIndex = 2;
			this.label52.Text = "AY";
			this.label52.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblAnalogX
			// 
			this.lblAnalogX.BackColor = System.Drawing.Color.LightGray;
			this.lblAnalogX.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblAnalogX.Location = new System.Drawing.Point(48, 8);
			this.lblAnalogX.Name = "lblAnalogX";
			this.lblAnalogX.Size = new System.Drawing.Size(48, 16);
			this.lblAnalogX.TabIndex = 1;
			this.lblAnalogX.Text = "0000";
			this.lblAnalogX.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label49
			// 
			this.label49.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label49.Location = new System.Drawing.Point(8, 8);
			this.label49.Name = "label49";
			this.label49.Size = new System.Drawing.Size(32, 16);
			this.label49.TabIndex = 0;
			this.label49.Text = "AX";
			this.label49.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pnlMot2
			// 
			this.pnlMot2.Controls.AddRange(new System.Windows.Forms.Control[] {
																				  this.lblMotor5,
																				  this.lblMotor6,
																				  this.lblMotor7,
																				  this.lblMotor8,
																				  this.lblDreh16,
																				  this.lblDreh09,
																				  this.lblDreh10,
																				  this.lblDreh11,
																				  this.lblDreh12,
																				  this.lblDreh13,
																				  this.lblDreh14,
																				  this.lblDreh15,
																				  this.label48});
			this.pnlMot2.Enabled = false;
			this.pnlMot2.Location = new System.Drawing.Point(16, 280);
			this.pnlMot2.Name = "pnlMot2";
			this.pnlMot2.Size = new System.Drawing.Size(224, 80);
			this.pnlMot2.TabIndex = 3;
			// 
			// lblMotor5
			// 
			this.lblMotor5.BackColor = System.Drawing.Color.LightGray;
			this.lblMotor5.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblMotor5.Location = new System.Drawing.Point(168, 56);
			this.lblMotor5.Name = "lblMotor5";
			this.lblMotor5.Size = new System.Drawing.Size(36, 16);
			this.lblMotor5.TabIndex = 12;
			this.lblMotor5.Tag = "5";
			this.lblMotor5.Text = "M5";
			this.lblMotor5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblMotor5.Click += new System.EventHandler(this.lblMotorClick);
			// 
			// lblMotor6
			// 
			this.lblMotor6.BackColor = System.Drawing.Color.LightGray;
			this.lblMotor6.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblMotor6.Location = new System.Drawing.Point(120, 56);
			this.lblMotor6.Name = "lblMotor6";
			this.lblMotor6.Size = new System.Drawing.Size(36, 16);
			this.lblMotor6.TabIndex = 11;
			this.lblMotor6.Tag = "6";
			this.lblMotor6.Text = "M6";
			this.lblMotor6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblMotor6.Click += new System.EventHandler(this.lblMotorClick);
			// 
			// lblMotor7
			// 
			this.lblMotor7.BackColor = System.Drawing.Color.LightGray;
			this.lblMotor7.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblMotor7.Location = new System.Drawing.Point(64, 56);
			this.lblMotor7.Name = "lblMotor7";
			this.lblMotor7.Size = new System.Drawing.Size(36, 16);
			this.lblMotor7.TabIndex = 10;
			this.lblMotor7.Tag = "7";
			this.lblMotor7.Text = "M7";
			this.lblMotor7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblMotor7.Click += new System.EventHandler(this.lblMotorClick);
			// 
			// lblMotor8
			// 
			this.lblMotor8.BackColor = System.Drawing.Color.LightGray;
			this.lblMotor8.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblMotor8.Location = new System.Drawing.Point(16, 56);
			this.lblMotor8.Name = "lblMotor8";
			this.lblMotor8.Size = new System.Drawing.Size(36, 16);
			this.lblMotor8.TabIndex = 9;
			this.lblMotor8.Tag = "8";
			this.lblMotor8.Text = "M8";
			this.lblMotor8.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblMotor8.Click += new System.EventHandler(this.lblMotorClick);
			// 
			// lblDreh16
			// 
			this.lblDreh16.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh16.Location = new System.Drawing.Point(16, 16);
			this.lblDreh16.Name = "lblDreh16";
			this.lblDreh16.Size = new System.Drawing.Size(15, 20);
			this.lblDreh16.TabIndex = 1;
			this.lblDreh16.Tag = "16";
			this.lblDreh16.Text = "R";
			this.lblDreh16.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh16.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh16.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh09
			// 
			this.lblDreh09.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh09.Location = new System.Drawing.Point(192, 16);
			this.lblDreh09.Name = "lblDreh09";
			this.lblDreh09.Size = new System.Drawing.Size(15, 20);
			this.lblDreh09.TabIndex = 8;
			this.lblDreh09.Tag = "9";
			this.lblDreh09.Text = "L";
			this.lblDreh09.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh09.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh09.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh10
			// 
			this.lblDreh10.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh10.Location = new System.Drawing.Point(168, 16);
			this.lblDreh10.Name = "lblDreh10";
			this.lblDreh10.Size = new System.Drawing.Size(15, 20);
			this.lblDreh10.TabIndex = 7;
			this.lblDreh10.Tag = "10";
			this.lblDreh10.Text = "R";
			this.lblDreh10.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh10.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh10.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh11
			// 
			this.lblDreh11.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh11.Location = new System.Drawing.Point(144, 16);
			this.lblDreh11.Name = "lblDreh11";
			this.lblDreh11.Size = new System.Drawing.Size(15, 20);
			this.lblDreh11.TabIndex = 6;
			this.lblDreh11.Tag = "11";
			this.lblDreh11.Text = "L";
			this.lblDreh11.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh11.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh11.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh12
			// 
			this.lblDreh12.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh12.Location = new System.Drawing.Point(120, 16);
			this.lblDreh12.Name = "lblDreh12";
			this.lblDreh12.Size = new System.Drawing.Size(15, 20);
			this.lblDreh12.TabIndex = 5;
			this.lblDreh12.Tag = "12";
			this.lblDreh12.Text = "R";
			this.lblDreh12.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh12.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh12.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh13
			// 
			this.lblDreh13.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh13.Location = new System.Drawing.Point(88, 16);
			this.lblDreh13.Name = "lblDreh13";
			this.lblDreh13.Size = new System.Drawing.Size(15, 20);
			this.lblDreh13.TabIndex = 4;
			this.lblDreh13.Tag = "13";
			this.lblDreh13.Text = "L";
			this.lblDreh13.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh13.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh13.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh14
			// 
			this.lblDreh14.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh14.Location = new System.Drawing.Point(64, 16);
			this.lblDreh14.Name = "lblDreh14";
			this.lblDreh14.Size = new System.Drawing.Size(15, 20);
			this.lblDreh14.TabIndex = 3;
			this.lblDreh14.Tag = "14";
			this.lblDreh14.Text = "R";
			this.lblDreh14.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh14.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh14.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh15
			// 
			this.lblDreh15.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh15.Location = new System.Drawing.Point(40, 16);
			this.lblDreh15.Name = "lblDreh15";
			this.lblDreh15.Size = new System.Drawing.Size(15, 20);
			this.lblDreh15.TabIndex = 2;
			this.lblDreh15.Tag = "15";
			this.lblDreh15.Text = "L";
			this.lblDreh15.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh15.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh15.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// label48
			// 
			this.label48.BackColor = System.Drawing.Color.LightGray;
			this.label48.Location = new System.Drawing.Point(8, 8);
			this.label48.Name = "label48";
			this.label48.Size = new System.Drawing.Size(208, 36);
			this.label48.TabIndex = 0;
			// 
			// pnlMot1
			// 
			this.pnlMot1.Controls.AddRange(new System.Windows.Forms.Control[] {
																				  this.lblMotor1,
																				  this.lblMotor2,
																				  this.lblMotor3,
																				  this.lblMotor4,
																				  this.lblDreh08,
																				  this.lblDreh01,
																				  this.lblDreh02,
																				  this.lblDreh03,
																				  this.lblDreh04,
																				  this.lblDreh05,
																				  this.lblDreh06,
																				  this.lblDreh07,
																				  this.label33});
			this.pnlMot1.Enabled = false;
			this.pnlMot1.Location = new System.Drawing.Point(16, 192);
			this.pnlMot1.Name = "pnlMot1";
			this.pnlMot1.Size = new System.Drawing.Size(224, 80);
			this.pnlMot1.TabIndex = 2;
			// 
			// lblMotor1
			// 
			this.lblMotor1.BackColor = System.Drawing.Color.LightGray;
			this.lblMotor1.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblMotor1.Location = new System.Drawing.Point(168, 56);
			this.lblMotor1.Name = "lblMotor1";
			this.lblMotor1.Size = new System.Drawing.Size(36, 16);
			this.lblMotor1.TabIndex = 12;
			this.lblMotor1.Tag = "1";
			this.lblMotor1.Text = "M1";
			this.lblMotor1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblMotor1.Click += new System.EventHandler(this.lblMotorClick);
			// 
			// lblMotor2
			// 
			this.lblMotor2.BackColor = System.Drawing.Color.LightGray;
			this.lblMotor2.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblMotor2.Location = new System.Drawing.Point(120, 56);
			this.lblMotor2.Name = "lblMotor2";
			this.lblMotor2.Size = new System.Drawing.Size(36, 16);
			this.lblMotor2.TabIndex = 11;
			this.lblMotor2.Tag = "2";
			this.lblMotor2.Text = "M2";
			this.lblMotor2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblMotor2.Click += new System.EventHandler(this.lblMotorClick);
			// 
			// lblMotor3
			// 
			this.lblMotor3.BackColor = System.Drawing.Color.LightGray;
			this.lblMotor3.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblMotor3.Location = new System.Drawing.Point(64, 56);
			this.lblMotor3.Name = "lblMotor3";
			this.lblMotor3.Size = new System.Drawing.Size(36, 16);
			this.lblMotor3.TabIndex = 10;
			this.lblMotor3.Tag = "3";
			this.lblMotor3.Text = "M3";
			this.lblMotor3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblMotor3.Click += new System.EventHandler(this.lblMotorClick);
			// 
			// lblMotor4
			// 
			this.lblMotor4.BackColor = System.Drawing.Color.LightGray;
			this.lblMotor4.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblMotor4.Location = new System.Drawing.Point(16, 56);
			this.lblMotor4.Name = "lblMotor4";
			this.lblMotor4.Size = new System.Drawing.Size(36, 16);
			this.lblMotor4.TabIndex = 9;
			this.lblMotor4.Tag = "4";
			this.lblMotor4.Text = "M4";
			this.lblMotor4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblMotor4.Click += new System.EventHandler(this.lblMotorClick);
			// 
			// lblDreh08
			// 
			this.lblDreh08.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh08.Location = new System.Drawing.Point(16, 16);
			this.lblDreh08.Name = "lblDreh08";
			this.lblDreh08.Size = new System.Drawing.Size(15, 20);
			this.lblDreh08.TabIndex = 1;
			this.lblDreh08.Tag = "8";
			this.lblDreh08.Text = "R";
			this.lblDreh08.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh08.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh08.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh01
			// 
			this.lblDreh01.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh01.Location = new System.Drawing.Point(192, 16);
			this.lblDreh01.Name = "lblDreh01";
			this.lblDreh01.Size = new System.Drawing.Size(15, 20);
			this.lblDreh01.TabIndex = 8;
			this.lblDreh01.Tag = "1";
			this.lblDreh01.Text = "L";
			this.lblDreh01.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh01.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh01.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh02
			// 
			this.lblDreh02.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh02.Location = new System.Drawing.Point(168, 16);
			this.lblDreh02.Name = "lblDreh02";
			this.lblDreh02.Size = new System.Drawing.Size(15, 20);
			this.lblDreh02.TabIndex = 7;
			this.lblDreh02.Tag = "2";
			this.lblDreh02.Text = "R";
			this.lblDreh02.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh02.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh02.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh03
			// 
			this.lblDreh03.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh03.Location = new System.Drawing.Point(144, 16);
			this.lblDreh03.Name = "lblDreh03";
			this.lblDreh03.Size = new System.Drawing.Size(15, 20);
			this.lblDreh03.TabIndex = 6;
			this.lblDreh03.Tag = "3";
			this.lblDreh03.Text = "L";
			this.lblDreh03.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh03.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh03.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh04
			// 
			this.lblDreh04.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh04.Location = new System.Drawing.Point(120, 16);
			this.lblDreh04.Name = "lblDreh04";
			this.lblDreh04.Size = new System.Drawing.Size(15, 20);
			this.lblDreh04.TabIndex = 5;
			this.lblDreh04.Tag = "4";
			this.lblDreh04.Text = "R";
			this.lblDreh04.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh04.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh04.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh05
			// 
			this.lblDreh05.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh05.Location = new System.Drawing.Point(88, 16);
			this.lblDreh05.Name = "lblDreh05";
			this.lblDreh05.Size = new System.Drawing.Size(15, 20);
			this.lblDreh05.TabIndex = 4;
			this.lblDreh05.Tag = "5";
			this.lblDreh05.Text = "L";
			this.lblDreh05.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh05.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh05.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh06
			// 
			this.lblDreh06.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh06.Location = new System.Drawing.Point(64, 16);
			this.lblDreh06.Name = "lblDreh06";
			this.lblDreh06.Size = new System.Drawing.Size(15, 20);
			this.lblDreh06.TabIndex = 3;
			this.lblDreh06.Tag = "6";
			this.lblDreh06.Text = "R";
			this.lblDreh06.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh06.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh06.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// lblDreh07
			// 
			this.lblDreh07.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDreh07.Location = new System.Drawing.Point(40, 16);
			this.lblDreh07.Name = "lblDreh07";
			this.lblDreh07.Size = new System.Drawing.Size(15, 20);
			this.lblDreh07.TabIndex = 2;
			this.lblDreh07.Tag = "7";
			this.lblDreh07.Text = "L";
			this.lblDreh07.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.lblDreh07.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lblDrehUp);
			this.lblDreh07.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lblDrehDown);
			// 
			// label33
			// 
			this.label33.BackColor = System.Drawing.Color.LightGray;
			this.label33.Location = new System.Drawing.Point(8, 8);
			this.label33.Name = "label33";
			this.label33.Size = new System.Drawing.Size(208, 36);
			this.label33.TabIndex = 0;
			// 
			// pnlIn2
			// 
			this.pnlIn2.Controls.AddRange(new System.Windows.Forms.Control[] {
																				 this.lblEingabe16,
																				 this.label12,
																				 this.label13,
																				 this.lblEingabe09,
																				 this.lblEingabe10,
																				 this.lblEingabe11,
																				 this.lblEingabe12,
																				 this.lblEingabe13,
																				 this.lblEingabe14,
																				 this.lblEingabe15,
																				 this.label22});
			this.pnlIn2.Location = new System.Drawing.Point(16, 120);
			this.pnlIn2.Name = "pnlIn2";
			this.pnlIn2.Size = new System.Drawing.Size(224, 60);
			this.pnlIn2.TabIndex = 1;
			// 
			// lblEingabe16
			// 
			this.lblEingabe16.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe16.Location = new System.Drawing.Point(16, 16);
			this.lblEingabe16.Name = "lblEingabe16";
			this.lblEingabe16.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe16.TabIndex = 1;
			this.lblEingabe16.Tag = "16";
			this.lblEingabe16.Text = "E";
			this.lblEingabe16.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label12
			// 
			this.label12.Location = new System.Drawing.Point(192, 40);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(20, 14);
			this.label12.TabIndex = 10;
			this.label12.Text = "E9";
			// 
			// label13
			// 
			this.label13.Location = new System.Drawing.Point(8, 40);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(24, 16);
			this.label13.TabIndex = 9;
			this.label13.Text = "E16";
			// 
			// lblEingabe09
			// 
			this.lblEingabe09.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe09.Location = new System.Drawing.Point(192, 16);
			this.lblEingabe09.Name = "lblEingabe09";
			this.lblEingabe09.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe09.TabIndex = 8;
			this.lblEingabe09.Tag = "9";
			this.lblEingabe09.Text = "E";
			this.lblEingabe09.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe10
			// 
			this.lblEingabe10.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe10.Location = new System.Drawing.Point(168, 16);
			this.lblEingabe10.Name = "lblEingabe10";
			this.lblEingabe10.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe10.TabIndex = 7;
			this.lblEingabe10.Tag = "10";
			this.lblEingabe10.Text = "E";
			this.lblEingabe10.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe11
			// 
			this.lblEingabe11.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe11.Location = new System.Drawing.Point(144, 16);
			this.lblEingabe11.Name = "lblEingabe11";
			this.lblEingabe11.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe11.TabIndex = 6;
			this.lblEingabe11.Tag = "11";
			this.lblEingabe11.Text = "E";
			this.lblEingabe11.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe12
			// 
			this.lblEingabe12.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe12.Location = new System.Drawing.Point(120, 16);
			this.lblEingabe12.Name = "lblEingabe12";
			this.lblEingabe12.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe12.TabIndex = 5;
			this.lblEingabe12.Tag = "12";
			this.lblEingabe12.Text = "E";
			this.lblEingabe12.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe13
			// 
			this.lblEingabe13.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe13.Location = new System.Drawing.Point(88, 16);
			this.lblEingabe13.Name = "lblEingabe13";
			this.lblEingabe13.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe13.TabIndex = 4;
			this.lblEingabe13.Tag = "13";
			this.lblEingabe13.Text = "E";
			this.lblEingabe13.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe14
			// 
			this.lblEingabe14.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe14.Location = new System.Drawing.Point(64, 16);
			this.lblEingabe14.Name = "lblEingabe14";
			this.lblEingabe14.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe14.TabIndex = 3;
			this.lblEingabe14.Tag = "14";
			this.lblEingabe14.Text = "E";
			this.lblEingabe14.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe15
			// 
			this.lblEingabe15.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe15.Location = new System.Drawing.Point(40, 16);
			this.lblEingabe15.Name = "lblEingabe15";
			this.lblEingabe15.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe15.TabIndex = 2;
			this.lblEingabe15.Tag = "15";
			this.lblEingabe15.Text = "E";
			this.lblEingabe15.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label22
			// 
			this.label22.BackColor = System.Drawing.Color.LightGray;
			this.label22.Location = new System.Drawing.Point(8, 8);
			this.label22.Name = "label22";
			this.label22.Size = new System.Drawing.Size(208, 32);
			this.label22.TabIndex = 0;
			// 
			// pnlIn1
			// 
			this.pnlIn1.Controls.AddRange(new System.Windows.Forms.Control[] {
																				 this.label11,
																				 this.label10,
																				 this.lblEingabe01,
																				 this.lblEingabe02,
																				 this.lblEingabe03,
																				 this.lblEingabe04,
																				 this.lblEingabe05,
																				 this.lblEingabe06,
																				 this.lblEingabe07,
																				 this.lblEingabe08,
																				 this.label1});
			this.pnlIn1.Location = new System.Drawing.Point(16, 48);
			this.pnlIn1.Name = "pnlIn1";
			this.pnlIn1.Size = new System.Drawing.Size(224, 60);
			this.pnlIn1.TabIndex = 0;
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(192, 40);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(20, 14);
			this.label11.TabIndex = 10;
			this.label11.Text = "E1";
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(8, 40);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(24, 16);
			this.label10.TabIndex = 9;
			this.label10.Text = "E8";
			// 
			// lblEingabe01
			// 
			this.lblEingabe01.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe01.Location = new System.Drawing.Point(192, 16);
			this.lblEingabe01.Name = "lblEingabe01";
			this.lblEingabe01.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe01.TabIndex = 8;
			this.lblEingabe01.Tag = "1";
			this.lblEingabe01.Text = "E";
			this.lblEingabe01.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe02
			// 
			this.lblEingabe02.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe02.Location = new System.Drawing.Point(168, 16);
			this.lblEingabe02.Name = "lblEingabe02";
			this.lblEingabe02.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe02.TabIndex = 7;
			this.lblEingabe02.Tag = "2";
			this.lblEingabe02.Text = "E";
			this.lblEingabe02.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe03
			// 
			this.lblEingabe03.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe03.Location = new System.Drawing.Point(144, 16);
			this.lblEingabe03.Name = "lblEingabe03";
			this.lblEingabe03.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe03.TabIndex = 6;
			this.lblEingabe03.Tag = "3";
			this.lblEingabe03.Text = "E";
			this.lblEingabe03.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe04
			// 
			this.lblEingabe04.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe04.Location = new System.Drawing.Point(120, 16);
			this.lblEingabe04.Name = "lblEingabe04";
			this.lblEingabe04.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe04.TabIndex = 5;
			this.lblEingabe04.Tag = "4";
			this.lblEingabe04.Text = "E";
			this.lblEingabe04.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe05
			// 
			this.lblEingabe05.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe05.Location = new System.Drawing.Point(88, 16);
			this.lblEingabe05.Name = "lblEingabe05";
			this.lblEingabe05.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe05.TabIndex = 4;
			this.lblEingabe05.Tag = "5";
			this.lblEingabe05.Text = "E";
			this.lblEingabe05.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe06
			// 
			this.lblEingabe06.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe06.Location = new System.Drawing.Point(64, 16);
			this.lblEingabe06.Name = "lblEingabe06";
			this.lblEingabe06.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe06.TabIndex = 3;
			this.lblEingabe06.Tag = "6";
			this.lblEingabe06.Text = "E";
			this.lblEingabe06.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe07
			// 
			this.lblEingabe07.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe07.Location = new System.Drawing.Point(40, 16);
			this.lblEingabe07.Name = "lblEingabe07";
			this.lblEingabe07.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe07.TabIndex = 2;
			this.lblEingabe07.Tag = "7";
			this.lblEingabe07.Text = "E";
			this.lblEingabe07.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblEingabe08
			// 
			this.lblEingabe08.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblEingabe08.Location = new System.Drawing.Point(16, 16);
			this.lblEingabe08.Name = "lblEingabe08";
			this.lblEingabe08.Size = new System.Drawing.Size(15, 20);
			this.lblEingabe08.TabIndex = 1;
			this.lblEingabe08.Tag = "8";
			this.lblEingabe08.Text = "E";
			this.lblEingabe08.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.Color.LightGray;
			this.label1.Location = new System.Drawing.Point(8, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(208, 32);
			this.label1.TabIndex = 0;
			// 
			// tmrI
			// 
			this.tmrI.Tick += new System.EventHandler(this.tmrI_Tick);
			// 
			// FishPanel
			// 
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.pnlAll});
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.Name = "FishPanel";
			this.Size = new System.Drawing.Size(264, 424);
			this.pnlAll.ResumeLayout(false);
			this.pnlAnalog.ResumeLayout(false);
			this.pnlMot2.ResumeLayout(false);
			this.pnlMot1.ResumeLayout(false);
			this.pnlIn2.ResumeLayout(false);
			this.pnlIn1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void PanelArrangieren() {
			if(slave) {
				pnlIn2.Visible = true;
				pnlMot2.Visible = true;
				pnlIn1.Top = 48;
				pnlIn2.Top = 120;
				pnlMot1.Top = 192;
				pnlMot2.Top = 280;
				pnlAnalog.Top = 368;
				this.Height = 424;
			}
			else {
				pnlIn2.Visible = false;
				pnlMot2.Visible = false;
				pnlMot1.Top = pnlIn2.Top;
				pnlAnalog.Top = pnlMot1.Top + pnlMot1.Height + 12;
				this.Height = pnlAnalog.Top + pnlAnalog.Height +12;
			}
			if(analog) {
				pnlAnalog.Visible = true;
			}
			else {
				pnlAnalog.Visible = false;
				this.Height = this.Height - pnlAnalog.Height - 12;
			}
		}

		private void MotorAusS(int Mnr) {
			fd.SetMotor(Mnr, Convert.ToInt32(Dir.Off));
			AusgabeLabel[Mnr*2-1].BackColor = Color.Gray;
			AusgabeLabel[Mnr*2].BackColor   = Color.Gray;
		}

		// --- Zyklische Anzeige der Interfacewerte ---------------------------

		private void tmrI_Tick(object sender, System.EventArgs e) {
			int InputStatus;
			try {
				InputStatus = fd.GetInputs();
				lblReady.BackColor = Color.Green;
				if(analog) {
					lblAnalogX.Text = fd.GetAnalog(1).ToString();
					lblAnalogY.Text = fd.GetAnalog(2).ToString();
				}
				int OG = slave ? 16 : 8;
				for(int i = 1; i <= OG; i++) {
					EingabeLabel[i].BackColor = 
						((fd.GetInputs() & EMaske[i]) != 0) ? Color.LightGreen : Color.Gray;
					AusgabeLabel[i].BackColor = 
						((fd.Outputs & EMaske[i]) != 0) ? Color.LightGreen : Color.Gray;
				}
			}
			catch(FishDevException) {
				lblReady.BackColor = Color.Red;
			}
		}

		// lblDrehDown : MouseDown bei R/L-Labels -----------------------------------

		private void lblDrehDown(object sender, System.Windows.Forms.MouseEventArgs e) {
			int Ri;
			Keys keyMode = Control.ModifierKeys;
			Label l = (Label)sender;
			int Index = Convert.ToInt32(l.Tag);
			Ri = ((Index % 2) == 0) ? 2 : 1;
			int Mnr = (Index-1) / 2 + 1;
			if(keyMode == Keys.Control | keyMode == Keys.Shift) MotorDauer[Mnr] = true;
			fd.SetMotor(Mnr, Ri);
			l.BackColor = Color.LightGreen;
		}

		// --- lblDrehUp : MouseUp bei R/L-Labels -------------------------------------

		private void lblDrehUp(object sender, System.Windows.Forms.MouseEventArgs e) {
			Label l = (Label)sender;
			int Index = Convert.ToInt32(l.Tag);
			int Mnr = (Index-1) / 2 + 1;
			if(MotorDauer[Mnr]) return; else MotorAusS(Mnr);
		}

		// --- lblMotorClick : Beenden M-Ausgang ---------------------------------------

		private void lblMotorClick(object sender, System.EventArgs e) {
			Label l = (Label)sender;
			int Index = Convert.ToInt32(l.Tag);
			MotorDauer[Index] = false;
			MotorAusS(Index);
		}

		// ---- Eigenschaften --------------------

		[Browsable(false)]
		public FishDevices Interface{
			get{return fd;}
			set{fd = value;}
		}
		[Description("Anzeige und Bedienung des Extension Modules")]
		public bool Slave{
			get{return slave;}
			set{
				slave = value;
				PanelArrangieren();
			}
		}
		[Description("Anzeige der Analogwerte")]
		public bool Analog{
			get{return analog;}
			set{
				analog = value;
				PanelArrangieren();
			}
		}

		// ---- Methoden ----------------------

		public void Start() {
			pnlMot1.Enabled    = true;
			pnlMot2.Enabled    = slave ? true : false;
			tmrI.Enabled       = true;
			lblReady.BackColor = Color.Green;
		}
		public void Stop() {
			pnlMot1.Enabled    = false;
			pnlMot2.Enabled    = false;
			tmrI.Enabled       = false;
			lblReady.BackColor = Color.DarkGray;
		}
	}
}
